No login link when "Links and resources" block is present

Bug #1537912 reported by Kristina Hoeppner on 2016-01-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
15.04
High
Unassigned
15.10
High
Unassigned

Bug Description

When you set the config value to

$cfg->showloginsideblock = false;

and you only see the "Login" link at the top rather than the standard login box, you don't see the link if you have publicly available "Links and resources".

To replicate:
1. Add $cfg->showloginsideblock = false; to your config file.
2. You'll see that you only have a login link at the top right on the homepage and not the login block.
3. Add a link to the "Links and resources" menu for "Public links and resources" at /admin/site/menu.php
4. Log out.

Expected result: Still see the login link.
Actual result: No login link. You'll need to go to /?login in order to log into your Mahara site.

Robert Lyon (robertl-9) on 2016-01-27
Changed in mahara:
status: Confirmed → In Progress
assignee: nobody → Robert Lyon (robertl-9)
Aaron Wells (u-aaronw) wrote :

This bug is actually present going back at least to Mahara 1.10, although it became more evident after we added the $cfg->showloginsideblock setting in Bug 1434131 for 15.04.

Prior to that, the "Login" link was displayed at the top of the screen if you're logged-out, you're not on the transient login screen, and there are no sideblocks on the page. Presumably the coder who originally wrote that, didn't realize there were situations where you could be logged out and see sideblocks without also seeing the "Login" sideblock.

In 15.04, it became easier to create this condition, by setting the $cfg->showloginsideblock to "false", which removes the Login sideblock everywhere.

Aaron Wells (u-aaronw) wrote :

I should note that the previous behavior was to display the login link *or* the login block, *not* both. I'm open to discussing a change to display both, though.

My initial feeling, however, is that it makes more sense to show only one or the other; showing both would probably confuse users.

Aaron Wells (u-aaronw) wrote :

To clarify my previous comment: The patch 5972 changes this so the login link is always showing, when you're logged out. I misread the description of this bug and thought the bug description was asking for that. But on further discussion, the bug report doesn't ask for that. So it's just a problem in the current design of the patch.

The important bit is that when you have $cfg->showloginsideblock = false; that you should

1) see a "Login" link at the top right
2) and see the "Links and resources" block
3) but no "Login" sideblock

And if you have $cfg->showloginsideblock = true, you should

1) not see a "Login" link at the top right
2) see the "Links and resources" block
3) and see the "Login" sideblock

Robert Lyon (robertl-9) on 2016-03-17
no longer affects: mahara/1.10

Reviewed: https://reviews.mahara.org/5972
Committed: https://git.mahara.org/mahara/mahara/commit/51910ec55fd2e6e4efd39c4f9985a43b1639056e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 51910ec55fd2e6e4efd39c4f9985a43b1639056e
Author: Robert Lyon <email address hidden>
Date: Wed Jan 27 16:01:02 2016 +1300

Bug 1537912: Allow the 'login' link to show when sidebars exist

There was a setting to stop the login link (top right) from showing if
there were sidebars on logged out homepage. This became a problem if
the login box was turned off (not counted as a sidebar block for some
reason) via $cfg->showloginsideblock = false;

But the top right login link should always show when logged out
whether a sidebar is in play or not.

behatnotneeded

Change-Id: I8d6c1916f165285afb1f0210a0ae9b364f3a7a4f
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2016-03-18
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/6179
Committed: https://git.mahara.org/mahara/mahara/commit/f4a92e07192e5c9f17f8ff7f896ece921493e8ff
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit f4a92e07192e5c9f17f8ff7f896ece921493e8ff
Author: Robert Lyon <email address hidden>
Date: Wed Jan 27 16:01:02 2016 +1300

Bug 1537912: Allow the 'login' link to show when sidebars exist

There was a setting to stop the login link (top right) from showing if
there were sidebars on logged out homepage. This became a problem if
the login box was turned off (not counted as a sidebar block for some
reason) via $cfg->showloginsideblock = false;

But the top right login link should always show when logged out
whether a sidebar is in play or not.

behatnotneeded

Change-Id: I8d6c1916f165285afb1f0210a0ae9b364f3a7a4f
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 51910ec55fd2e6e4efd39c4f9985a43b1639056e)

Reviewed: https://reviews.mahara.org/6211
Committed: https://git.mahara.org/mahara/mahara/commit/076d6f63390c5f451a6ef2f127d655adec67a88d
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 076d6f63390c5f451a6ef2f127d655adec67a88d
Author: Robert Lyon <email address hidden>
Date: Wed Jan 27 16:01:02 2016 +1300

Bug 1537912: Allow the 'login' link to show when sidebars exist

There was a setting to stop the login link (top right) from showing if
there were sidebars on logged out homepage. This became a problem if
the login box was turned off (not counted as a sidebar block for some
reason) via $cfg->showloginsideblock = false;

But the top right login link should always show when logged out
whether a sidebar is in play or not.

behatnotneeded

Change-Id: I8d6c1916f165285afb1f0210a0ae9b364f3a7a4f
Signed-off-by: Robert Lyon <email address hidden>

Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers